/*
 * @Company: hugeInfo
 * @Author: lwh
 * @Date: 2023-06-08 17:03:43
 * @LastEditTime: 2023-06-08 17:30:03
 * @LastEditors: lwh
 * @Version: 1.0.0
 * @Description: 社保卡搜索框
 */

import React from 'react';
import { Input } from 'dingtalk-design-mobile';
import { SearchOutlined, FilterOutlined } from 'dd-icons';
import './index.less';

/**
 * onOpenSearch: func // 点击搜索回调
 * onClickRightAction: func // 点击右侧按钮回调
 * isRightActive: bool // 是否执行了右侧按钮
 */
const MyCardSearchBar = ({ onOpenSearch, placeholder = '搜索', onChange, onClickRightAction, isRightActive = false }) => {
  return (
    <div className="MyCardSearchBar">
      <div className="MyCardSearchBar-search" >
        {/* <SearchOutlined style={{ marginRight: '4px' }} /> */}
        <Input className="MyCardSearchBar-search-input" placeholder={placeholder} onChange={onChange} />
      </div>
      <div className='MyCardSearchBar-scan' onClick={onClickRightAction}>
        <span>搜索</span>
      </div>
    </div>
  );
};

export default MyCardSearchBar;
